; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
;	INP: 		SRAM (adr_ROM_CRC_BEREICH)										
;																				
DS2417_READ:
	; RESET													
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
	brcc DS2417_READ_ERROR
	; MASTER TX x55 (MATCH ROM) +  8 BYTE ROM CODE			
	rcall ROM_MATCH
	; MASTER TX x66 (read CLOCK)							
	ldi	temp1,0x66
	rcall ONE_WIRE_DATA_WRITE
	; MASTER RX CONTROL BYTE 
	rcall LCD_CLEAR
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	; MASTER RX 4xDATA BYTE 
	rcall LCD_ZEILE2
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	push temp1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	push temp1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	push temp1
	rcall ONE_WIRE_DATA_READ	; OUT: temp1
	push temp1
	; ANZEIGE				
	pop temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall LCD_SPACE
	pop temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall LCD_SPACE
	pop temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1
	rcall LCD_SPACE
	pop temp1
	rcall LCD_AUSGABE_2_STELLEN_HEX_TEMP1

	; RESET										
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
	brcc DS2417_READ_ERROR

	ret
;-------------------------------------------------------------------------------
DS2417_READ_ERROR:
	cbi PORTD,LED_D_ROT						; ROT		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
;	INP: 		SRAM (adr_ROM_CRC_BEREICH)										
;																				
DS2417_WRITE:
	; RESET										
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
	brcc DS2417_WRITE_ERROR
	; MASTER TX x55 (MATCH ROM) +  8 BYTE ROM CODE			
	rcall ROM_MATCH
	; MASTER TX x99 (write CLOCK)							
	ldi	temp1,0x99
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX ( CONTROL BYTE )							
	ldi	temp1,0b10001100
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX DATA		
	ldi temp1,0x00
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX DATA		
	ldi temp1,0x00
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX DATA		
	ldi temp1,0x00
	rcall ONE_WIRE_DATA_WRITE
	; MASTER TX DATA		
	ldi temp1,0x00
	rcall ONE_WIRE_DATA_WRITE
	; RESET										
	rcall ONE_WIRE_RESET_PRESENCE				; OUT: CARRY		
	brcc DS2417_WRITE_ERROR

ret
;-------------------------------------------------------------------------------
DS2417_WRITE_ERROR:
	cbi PORTD,LED_D_ROT						; ROT		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
